com.fasterxml.jackson.dataformat.csv

## Class CsvMappingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.fasterxml.jackson.core.JsonProcessingException
        - - com.fasterxml.jackson.databind.JsonMappingException
          - - com.fasterxml.jackson.dataformat.csv.CsvMappingException

- All Implemented Interfaces:
    Serializable

      public class CsvMappingException
      extends com.fasterxml.jackson.databind.JsonMappingException

  Format-specific exception used to indicate problems regarding handling of CSV content above minimal decoding, based on `CsvSchema`.
  Since:
    2.9
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonMappingException

      `com.fasterxml.jackson.databind.JsonMappingException.Reference`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CsvSchema` | `_schema`

    - ### Fields inherited from class com.fasterxml.jackson.databind.JsonMappingException

      `_path, _processor`

    - ### Fields inherited from class com.fasterxml.jackson.core.JsonProcessingException

      `_location`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CsvMappingException(CsvParser p, String msg, CsvSchema schema)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CsvMappingException` | `from(CsvParser p, String msg, CsvSchema schema)`
    `CsvSchema` | `getSchema()`

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonMappingException

      `_appendPathDesc, _buildMessage, from, from, from, from, from, from, from, from, fromUnexpectedIOE, getLocalizedMessage, getMessage, getPath, getPathReference, getPathReference, getProcessor, prependPath, prependPath, prependPath, toString, wrapWithPath, wrapWithPath, wrapWithPath`

    - ### Methods inherited from class com.fasterxml.jackson.core.JsonProcessingException

      `clearLocation, getLocation, getMessageSuffix, getOriginalMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### _schema

          protected final CsvSchema _schema

  - ### Constructor Detail

    - #### CsvMappingException

          public CsvMappingException(CsvParser p,
                             String msg,
                             CsvSchema schema)

  - ### Method Detail

    - #### from

          public static CsvMappingException from(CsvParser p,
                                 String msg,
                                 CsvSchema schema)

    - #### getSchema

          public CsvSchema getSchema()

Copyright © 2017 FasterXML. All rights reserved.